## ros-iron-tracetools-test 6.3.1

=== debian/changelog ===
ros-iron-tracetools-test (6.3.1-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-tracetools-test (6.3.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-tracetools-test (6.2.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-tracetools-test (6.1.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-tracetools-test (6.0.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-tracetools-test (5.1.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-iron-tracetools-test (4.1.0-1jammy) jammy; urgency=high

  * Allow providing additional actions for TraceTestCase
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-tracetools-test (4.0.0-1jammy) jammy; urgency=high

  * Remove default value for 'package' kwarg for TraceTestCase
  * Move actual tests out of tracetools_test to new test_tracetools package
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 19 Jan 2022 16:00:00 -0000

ros-iron-tracetools-test (3.1.0-1jammy) jammy; urgency=high

  * Add tests for rmw init/pub, take, and executor instrumentation
  * Add field type assertion utilities to TraceTestCase
  * Fixing deprecated subscriber callback warnings
  * Contributors: Abrar Rahman Protyasha, Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-tracetools-test (2.3.0-1jammy) jammy; urgency=high

  * Update after namespacing C++ tracetools functions and macros
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Mar 2021 16:00:00 -0000

ros-iron-tracetools-test (2.2.0-1jammy) jammy; urgency=high

  * Add tests for rcl_publish and rclcpp_publish tracepoints
  * Allow asserting order of list of events
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 28 Mar 2021 16:00:00 -0000

ros-iron-tracetools-test (2.1.0-1jammy) jammy; urgency=high

  * Allow skipping test trace cleanup by setting an environment variable
  * Add test for timer-node linking instrumentation
  * Increased code coverage > 94% as part of QL1
  * Contributors: Christophe Bedard, Ingo Lütkebohle, Alejandro Hernández Cordero

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 12 Jan 2021 16:00:00 -0000

ros-iron-tracetools-test (2.0.0-1jammy) jammy; urgency=high

  * Add lifecycle node state transition instrumentation test
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 11 Oct 2020 16:00:00 -0000

ros-iron-tracetools-test (1.0.0-1jammy) jammy; urgency=high

  * Add test_depend on python3-pytest-cov for tracetools_test
  * Call ament_add_pytest_test only once for tracetools_test
  * Move test_utils from tracetools to tracetools_test
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 23 Apr 2020 16:00:00 -0000

ros-iron-tracetools-test (0.3.0-1jammy) jammy; urgency=high

  * Merge and update service test to cover callback registration
  * Fix default value for events_kernel in TraceTestCase
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 03 Mar 2020 16:00:00 -0000

ros-iron-tracetools-test (0.2.12-1jammy) jammy; urgency=high

  * Use imperative mood in constructor docstring.
  * Contributors: Christophe Bedard, Steven! Ragnarök

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 08 Dec 2019 16:00:00 -0000

ros-iron-tracetools-test (0.2.11-1jammy) jammy; urgency=high

  * Fix working directory for tracetools_test Python tests
  * Fix version regex to support multi-digit numbers
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 08 Dec 2019 16:00:00 -0000

ros-iron-tracetools-test (0.2.10-1jammy) jammy; urgency=high

  * Update tests after new intra-process communications
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sat, 16 Nov 2019 16:00:00 -0000

ros-iron-tracetools-test (0.2.6-1jammy) jammy; urgency=high

  * Fix "do_more" check for test_ping/test_pong
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 15 Aug 2019 16:00:00 -0000

ros-iron-tracetools-test (0.2.3-1jammy) jammy; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 04 Aug 2019 16:00:00 -0000

ros-iron-tracetools-test (0.2.0-1jammy) jammy; urgency=high

  * Enable tracing by default if LTTng is available
  * Contributors: Christophe Bedard, Tobias Blass

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 29 Jul 2019 16:00:00 -0000

ros-iron-tracetools-test (0.1.1-1jammy) jammy; urgency=high

  * Disable tracing-related tests by default
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 15 Jul 2019 16:00:00 -0000

ros-iron-tracetools-test (0.1.0-1jammy) jammy; urgency=high

  * Add tracetools_test package with utilities
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 10 Jul 2019 16:00:00 -0000
